Bug 1565257 - dnf repoclosure not working properly on armhfp and aarch64 arches [NEEDINFO]
Summary: dnf repoclosure not working properly on armhfp and aarch64 arches
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Blaha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: dnf-community
TreeView+ depends on / blocked
 
Reported: 2018-04-09 18:41 UTC by Mohan Boddu
Modified: 2020-08-11 13:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
jmracek: needinfo? (mboddu)


Attachments (Terms of Use)

Description Mohan Boddu 2018-04-09 18:41:17 UTC
Description of problem:
As part of the compose, we run repoclosure and it is working fine for all arches except for armhfp and aarch64

Version-Release number of selected component (if applicable):
dnf-2.7.5-2.fc27.noarch

How reproducible:
Everytime

Steps to Reproduce:
Logs from the compose:
https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-28/logs/aarch64/repoclosure-Everything.aarch64.log
https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-28/logs/armhfp/repoclosure-Everything.armhfp.log

Comment 1 Marek Blaha 2018-04-16 13:54:52 UTC
Does it help if you run repoclosure command with --forcearch switch?
Like: $ dnf repoclosure --forcearch aarch64

Comment 2 Neal Gompa 2018-04-30 13:09:47 UTC
Marek,

I implemented the forcearch setting in my rewrite of spam-o-matic using DNF via its config object info, and it still didn't work.

See: https://pagure.io/releng/pull-request/7407

Comment 3 Marek Blaha 2018-05-09 09:09:48 UTC
Is there a way how can I reproduce and test this bug? I suppose, I will need to download this aarch64 repo, won't I?
https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-28/compose/Everything/aarch64/os/
Can I see how exactly do you run repoclosure command?

Comment 4 Mohan Boddu 2018-05-09 13:28:30 UTC
Marek,

Pungi is using https://pagure.io/pungi/blob/master/f/pungi/wrappers/repoclosure.py to generate the repoclosure.

Comment 5 Marek Blaha 2018-05-10 07:18:00 UTC
I tried your command with one little change - I replaced --arch with --forcearch (see  http://dnf-plugins-core.readthedocs.io/en/latest/repoclosure.html):

$ dnf repoclosure --forcearch=aarch64 --repofrompath=r,https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-28/compose/Everything/aarch64/os/ --repo=r --check=r

The results I got seemed to be pretty reasonable. There is only one catch here: --forcearch option can not be used more than once, so you can check only one architecture a time. Is this viable for you?

Btw, I'm working on making "dnf repoclosure" more compatible with the yum. Basically I'm thinking about removing --check option and returning --lookaside option with the same meaning as in the yum. 
https://github.com/rpm-software-management/dnf-plugins-core/pull/255

Comment 6 Ben Cotton 2018-11-27 14:17:57 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-02-19 17:12:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 8 Jaroslav Mracek 2020-02-17 07:31:38 UTC
Did information from comment 5 resolved the issue?

Comment 9 Ben Cotton 2020-04-30 20:25:28 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2020-08-11 13:04:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.


Note You need to log in before you can comment on or make changes to this bug.